curl --request GET \
--url https://api.hubapi.com/conversations/conversations/2026-09-beta/inboxes \
--header 'Authorization: Bearer <token>'{
"results": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"type": "HELP_DESK",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}Retrieve a list of inboxes in your HubSpot account. This endpoint allows you to paginate through results, set limits on the number of results per page, sort the results, and filter by archived status. Useful for managing and viewing all inboxes associated with your account.
curl --request GET \
--url https://api.hubapi.com/conversations/conversations/2026-09-beta/inboxes \
--header 'Authorization: Bearer <token>'{
"results": [
{
"archived": true,
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"type": "HELP_DESK",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.
Whether to return only results that have been archived.
The maximum number of results to display per page.
Was this page helpful?